Bug 500477 - kernel BUG at fs/inode.c:1160 triggered by pm-hibernate
kernel BUG at fs/inode.c:1160 triggered by pm-hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 16:32 EDT by long
Modified: 2009-12-18 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:25:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description long 2009-05-12 16:32:52 EDT
Description of problem:
I have KDE set to suspend to disk after 99 minutes of inactivity.  Frequently this leads to a kernel panic.  Here is the crash output from a kdumped vmcore:
      KERNEL: /usr/lib/debug/lib/modules/2.6.27.21-170.2.56.fc10.i686.PAE/vmlinux
    DUMPFILE: vmcore                                                             
        CPUS: 2                                                                  
        DATE: Tue May 12 03:18:59 2009                                           
      UPTIME: 3 days, 17:44:50                                                   
LOAD AVERAGE: 102.19, 22.61, 7.40                                                
       TASKS: 500                                                                
    NODENAME: griffon.cc.ku.edu                                                  
     RELEASE: 2.6.27.21-170.2.56.fc10.i686.PAE                                   
     VERSION: #1 SMP Mon Mar 23 23:24:26 EDT 2009                                
     MACHINE: i686  (3192 Mhz)                                                   
      MEMORY: 1 GB                                                               
       PANIC: "kernel BUG at fs/inode.c:1160!"                                   
         PID: 15082
     COMMAND: "pm-hibernate"
        TASK: c9b5d9b0  [THREAD_INFO: d0fc1000]
         CPU: 0
       STATE: TASK_RUNNING (PANIC)

crash> bt
PID: 15082  TASK: c9b5d9b0  CPU: 0   COMMAND: "pm-hibernate"
 #0 [d0fc1cf8] crash_kexec at c045917c
 #1 [d0fc1d48] oops_end at c06b7893
 #2 [d0fc1d5c] die at c040a267
 #3 [d0fc1d74] do_trap at c06b7dc1
 #4 [d0fc1d90] do_invalid_op at c040a6d2
 #5 [d0fc1e30] error_code (via invalid_op) at c06b75a8
    EAX: f7424a6c  EBX: f7424a6c  ECX: 00000000  EDX: c9b5d9b0  EBP: d0fc1e70
    DS:  007b      ESI: f7424a00  ES:  007b      EDI: f4016a00
    CS:  0060      EIP: c04a8dc3  ERR: ffffffff  EFLAGS: 00010246
 #6 [d0fc1e64] iput at c04a8dc3
 #7 [d0fc1e74] __blkdev_put at c04ba074
 #8 [d0fc1e94] blkdev_put at c04ba099
 #9 [d0fc1e9c] swsusp_close at c0456f51
#10 [d0fc1ea4] swsusp_write at c045799e
#11 [d0fc1f0c] hibernate at c0455471
#12 [d0fc1f1c] state_store at c0454204
#13 [d0fc1f34] kobj_attr_store at c052219f
#14 [d0fc1f48] sysfs_write_file at c04d465b
#15 [d0fc1f78] vfs_write at c0499298
#16 [d0fc1f94] sys_write at c0499389
#17 [d0fc1fb4] ia32_sysenter_target at c0408b84
    EAX: 00000004  EBX: 00000001  ECX: b7f21000  EDX: 00000004
    DS:  007b      ESI: 00000004  ES:  007b      EDI: b7f21000
    SS:  007b      ESP: bff1df98  EBP: bff1dfc4
    CS:  0073      EIP: 00c8c424  ERR: 00000004  EFLAGS: 00000246
crash>


Version-Release number of selected component (if applicable):
kernel-PAE-2.6.27.21-170.2.56.fc10.i686

How reproducible:
Seems to happen when it auto-hibernates overnight.  If I manually use KDE to hibernate it is not nearly as reproducible.

Steps to Reproduce:
1. KDE Menu -> System Settings -> Advanced tab -> Power Management
2. Click Edit Profiles
3. Select Performance profile
4. Set 'When the system is idle for more than 99mi' to 'Suspend to Disk'
5. Apply
  
Actual results:
Machine rebooted overnight due to kdump detecting kernel panic.

Expected results:
System should hibernate without kernel bug.

Additional info:
Comment 1 Bug Zapper 2009-11-18 06:56:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:25:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.